import Fastify from 'fastify'
import index from './controller/index.js';

const fastify = Fastify({
    logger: true
})

fastify.register(index)

try {
    await fastify.listen({ port: 3000 })
    console.log('Server ready on port 3000')
} catch (err) {
    fastify.log.error(err)
    process.exit(1)
}